Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.binding.beans
Class PropertyNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.jgoodies.binding.beans.PropertyException
                      com.jgoodies.binding.beans.PropertyNotFoundException

All Implemented Interfaces:
  Serializable

    public final class PropertyNotFoundException

extends PropertyException

A runtime exception that describes that a Java Bean property could not be found.

Version:
  $Revision: 1.10 $
Author:
  Karsten Lentzsch
See Also:
  `PropertyAdapter`, Serialized Form

Constructor Summary
`PropertyNotFoundException(String propertyName, Class<?> beanClass, Throwable cause)` Constructs a new exception instance with the specified detail message and cause.
`PropertyNotFoundException(String propertyName, Object bean)` Constructs a new exception instance with the specified detail message.
`PropertyNotFoundException(String propertyName, Object bean, Throwable cause)` Constructs a new exception instance with the specified detail message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyNotFoundException

    public PropertyNotFoundException(String propertyName,
                                     Object bean)

  Constructs a new exception instance with the specified detail message. The cause is not initialized.

  Parameters:
    `propertyName` - the name of the property that could not be found
    `bean` - the Java Bean used to lookup the property

### PropertyNotFoundException

    public PropertyNotFoundException(String propertyName,
                                     Object bean,
                                     Throwable cause)

  Constructs a new exception instance with the specified detail message and cause.

  Parameters:
    `propertyName` - the name of the property that could not be found
    `bean` - the Java Bean used to lookup the property
    `cause` - the cause which is saved for later retrieval by the `Throwable.getCause()` method. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.

### PropertyNotFoundException

    public PropertyNotFoundException(String propertyName,
                                     Class<?> beanClass,
                                     Throwable cause)

  Constructs a new exception instance with the specified detail message and cause.

  Parameters:
    `propertyName` - the name of the property that could not be found
    `beanClass` - the Java Bean class used to lookup the property
    `cause` - the cause which is saved for later retrieval by the `Throwable.getCause()` method. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2013 JGoodies Software GmbH. All Rights Reserved.